Kodi 19 (Matrix) nightly builds for Raspberry Pi

#1

With Kodi Leia now branched, the master is on Matrix (v19)

Previous Leia nightlies can be found here.

OSMC Test Builds for Kodi 18 for Raspberry Pi 1 & 2/3

Based on the Kodi master Matrix (v19) and popcornmix’s newclock


Warning

Kodi 19 is currently in Alpha and there is likely to be a lot of activity in the coming months. As these are alpha builds expect some issues.

If you are looking for a stable system then these builds are not for you!

Before proceeding make sure you have a backup of your Raspberry Pi. As these are test builds there could well be some unexpected problems.

Database upgrades could also be an issue. Please make a backup of the Kodi database before installing, especially if you are running a remote MySQL database. Going back from v18 to stable might be difficult especially if there have been upgrades to the Kodi databases.


Installing

You need a working system in order to install these test builds. If you do not have OSMC already installed then go to https://osmc.tv/download/ to install the latest stable version.

Update apt source list to get the latest nightly:

Edit
sudo nano /etc/apt/sources.list

deb http://download.osmc.tv/dev/gmc-19/public gmc-19 main

Save and exit file.

Import gpg certificate:

wget -qO - http://download.osmc.tv/dev/gmc-19/public/pubkey.asc | sudo apt-key add -

Finally run update and dist-upgrade to install latest nightly.

sudo apt-get update
sudo apt-get dist-upgrade

Going back to Stable branch (No guarantees that it will work)

Edit sources.list file and change line to:

#deb http://download.osmc.tv/dev/gmc-19/public gmc-19 main

Updating

When new updates are released you can either update using MyOSMC or manually with the following commands:

sudo apt-get update
sudo apt-get dist-upgrade

To confirm which version you are running:

dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'

Check which versions are available should you wish to install a previous version:

apt-cache madison rbp2-mediacenter-osmc

Install previous versions:

sudo apt-get install rbp1-mediacenter-osmc=version
sudo apt-get install rbp2-mediacenter-osmc=version

Where version=version number (eg 18.8-34)

Support

Since we are in alpha there could be a lot of incompatibilities with skins and addons. To resolve these its best taking the issue up with the addon developer.

If you have any issues with OSMC please provide debug logs. Most problems are almost impossible to fix if we don’t have the debug logs.

How to submit a useful support request

Archive:

http://kodi.gjmccarthy.co.uk

Current Build

Previous Builds

[TESTING] Kodi 18 (Leia) builds for Raspberry Pi
#2

18.8-25, 22 April 2019: Based off OSMC commit (7406420dfb4) and newclock5 (f557accb02)

OSMC

  • Bump branch to gmc-19
  • Resync all patches with OMSC master (OSMC v18 now released)

XBMC:

  • Bump to v19 alpha1 (PR:15920, 2 commits, 2 files changed)
  • [cmake] enable using ccache with xcode (PR:15886, 1 commit, 1 file changed)
  • [Docs] Add xrefitems for v19 (python and skinning engine) (PR:15133, 1 commit, 3 files changed)
  • [PVR] Feature: PVR Reminders (PR:15467, 8 commits, 100 files changed)
  • [guilib][guiinfo][video][Estuary] Feature: Seek dialog: Add EDL and chapter marker visualisation. (PR:15767, 2 commits, 19 files changed)
  • [PVR] Inconsistencies in Guide/Channel/Recordings Info Dialogs (PR:15648, 1 commit, 4 files changed)
  • Add addon settingslevel button (PR:15796, 2 commits, 4 files changed)
  • [Kodi] Removed unused string (PR:14528, 1 commit, 1 file changed)
  • [json-rpc][pvr] Recordings: add fields season, episode and showtitle (PR:15869, 1 commit, 2 files changed)
  • Improve default keyboardlayout (PR:15687, 1 commit, 1 file changed)
  • [guiinfo] Fix crash in CPlayerGUIInfo::GetContentRanges. (PR:15930, 1 commit, 1 file changed)
  • Remove dead code for static libdvdnav (PR:15925, 1 commit, 1 file changed)
  • CEGLImage: dump attributes if the import fails (PR:15885, 2 commits, 2 files changed)
  • [cleanup] remove unused AMLUtils functions (PR:15933, 1 commit, 2 files changed)
  • [VideoInfoScanner] don’t call CVideoInfoDownloader::GetArtwork if plugin is used as a video source (PR:15921, 1 commit, 1 file changed)
  • [GBM] CRendererDRMPRIMEGLES improvements (PR:15928, 4 commits, 5 files changed)
  • CDRMUtils: rework modifiers flag selection (PR:15922, 1 commit, 1 file changed)

inputstream.adaptive:

  • Version bump 2.3.17 (1a7dafd)

audioencoder.flac (7bce2e5a) , audioencoder.lame (476f4b2e) , audioencoder.vorbis (acd7c796) , audioencoder.wav (673c6088) , inputstream.adaptive (1a7dafde) , inputstream.rtmp (ce68b77a) , peripheral.xarcade (d218f0dc) , peripheral.joystick (910bd3dc) , imagedecoder.raw (41a370db) , peripheral.steamcontroller (884d5f0c) , game.libretro (eebfdf78) , game.libretro.2048 (6c6c41ed) , game.libretro.beetle-gba (566630f5) , game.libretro.fceumm (576fa983) , game.libretro.gw (9d745c2b) , game.libretro.beetle-pce-fast (4c7cb4fa) , game.libretro.bnes (6995dd3d) , game.libretro.nestopia (4d44431c) , game.libretro.bsnes-mercury-balanced (4d5d2538) , game.libretro.mame2000 (3d01798b) , game.libretro.mame2003 (b86620c4) , game.libretro.bluemsx (0e6f713a) , game.libretro.vecx (20edd48c) , game.libretro.mame2003_plus (776d158f) , game.libretro.gambatte (7493bd05) , game.libretro.beetle-bsnes (5eb2843c) , game.libretro.meteor (e582cc1d) , game.libretro.mgba (13945641) , game.libretro.vba-next (9735a9f4) , game.libretro.quicknes (4816e6a3) , game.libretro.scummvm (76da70af) , game.libretro.snes9x (d700274b) , game.libretro.stella (f5b7d3bf) , game.libretro.dosbox (5103cd15) , game.libretro.vbam (2e34c8fd) , game.libretro.yabause (216f5f3e) , game.libretro.genplus (4f0803e9) , game.libretro.mame (576c4ed5) , game.libretro.bsnes-mercury-accuracy (a83b6e6a) , game.libretro.mupen64plus (5b620f27) , game.libretro.pcsx-rearmed (26804844) , pvr.waipu (73a1e42d, +1), pvr.sledovanitv.cz (2e3a7e24) , pvr.argustv (83aa1e9c) , pvr.mythtv (179b6ea5) , pvr.hts (8dcd62db) , pvr.pctv (b60b9710) , pvr.stalker (d0170c5b) , pvr.filmon (e8506330) , pvr.octonet (203f800e) , pvr.zattoo (7d004abc) , pvr.vbox (ea20464e) , pvr.wmc (7b28be39) , pvr.nextpvr (c104d956) , pvr.njoy (4467cacf) , pvr.teleboy (1956113e) , pvr.vdr.vnsi (cbb75abb) , pvr.vuplus (4f0de0e3) , pvr.dvbviewer (c2c1beb8) , pvr.dvblink (ecc9cfdd) , pvr.hdhomerun (a9d73097) , pvr.iptvsimple (73feb2f4) , pvr.demo (964686dc) , pvr.mediaportal.tvserver (931afab5) , vfs.libarchive (2ba11021) , vfs.rar (e6b5114a) , vfs.sftp (3ab3969b)

#6

Hoping for major improvements on the retroplayer, have the kodi team published a roadmap anywhere for the 19 release ?

#7

I haven’t seen any info on roadmaps. The biggest change planned for 19 is the move to python 3 and dropping 2.7. That’s going to be a big one.

#8

lots of breakage of addons is expected so im hoping that the ones beta testing this release will report breakage of addons to the addon dev and not here.

Seen some kodi 19 patches already on the tracker are you gonna try and merge those soon-ish ?

#9

Does v19 not make a new database like previous versions? Assuming previous behavior if you downgrade to v18 it should go back to using the existing v18 databases and all you loose is any changes since you upgraded. Is there something more going on with MySQL and v19?

#10

This change may not be implemented until some time later in the development process.

#11

Kodi is still on db v116 so should be ok until they bump the version.

https://kodi.wiki/view/Databases#Database_Versions

#12

specifically referencing to these patches on my other post

except the android patch for obvious reasons :stuck_out_tongue:

#14

Better approach:

Use apt-key adv --fetch-keys URL… instead of something like wget URL -O - | apt-key add - or curl URL | apt-key add -

1 Like
#15
1 Like
#16

18.8-28, 26 April 2019: Based off OSMC commit (28a4d0e3) and newclock5 (f557accb02)

OSMC

  • Fix resolution being set low when updating from Kodi Krypton

pvr.waipu

  • Fix build version shown in Kodi (73a1e42)

audioencoder.flac (7bce2e5a) , audioencoder.lame (476f4b2e) , audioencoder.vorbis (acd7c796) , audioencoder.wav (673c6088) , inputstream.adaptive (1a7dafde) , inputstream.rtmp (ce68b77a) , peripheral.xarcade (d218f0dc) , peripheral.joystick (910bd3dc) , imagedecoder.raw (41a370db) , peripheral.steamcontroller (884d5f0c) , game.libretro (eebfdf78) , game.libretro.2048 (6c6c41ed) , game.libretro.beetle-gba (566630f5) , game.libretro.fceumm (576fa983) , game.libretro.gw (9d745c2b) , game.libretro.beetle-pce-fast (4c7cb4fa) , game.libretro.bnes (6995dd3d) , game.libretro.nestopia (4d44431c) , game.libretro.bsnes-mercury-balanced (4d5d2538) , game.libretro.mame2000 (3d01798b) , game.libretro.mame2003 (b86620c4) , game.libretro.bluemsx (0e6f713a) , game.libretro.vecx (20edd48c) , game.libretro.mame2003_plus (776d158f) , game.libretro.gambatte (7493bd05) , game.libretro.beetle-bsnes (5eb2843c) , game.libretro.meteor (e582cc1d) , game.libretro.mgba (13945641) , game.libretro.vba-next (9735a9f4) , game.libretro.quicknes (4816e6a3) , game.libretro.scummvm (76da70af) , game.libretro.snes9x (d700274b) , game.libretro.stella (f5b7d3bf) , game.libretro.dosbox (5103cd15) , game.libretro.vbam (2e34c8fd) , game.libretro.yabause (216f5f3e) , game.libretro.genplus (4f0803e9) , game.libretro.mame (576c4ed5) , game.libretro.bsnes-mercury-accuracy (a83b6e6a) , game.libretro.mupen64plus (5b620f27) , game.libretro.pcsx-rearmed (26804844) , pvr.waipu (905b1c59, +1), pvr.sledovanitv.cz (2e3a7e24) , pvr.argustv (83aa1e9c) , pvr.mythtv (179b6ea5) , pvr.hts (8dcd62db) , pvr.pctv (b60b9710) , pvr.stalker (d0170c5b) , pvr.filmon (e8506330) , pvr.octonet (203f800e) , pvr.zattoo (7d004abc) , pvr.vbox (ea20464e) , pvr.wmc (7b28be39) , pvr.nextpvr (c104d956) , pvr.njoy (4467cacf) , pvr.teleboy (1956113e) , pvr.vdr.vnsi (cbb75abb) , pvr.vuplus (4f0de0e3) , pvr.dvbviewer (c2c1beb8) , pvr.dvblink (ecc9cfdd) , pvr.hdhomerun (a9d73097) , pvr.iptvsimple (73feb2f4) , pvr.demo (964686dc) , pvr.mediaportal.tvserver (931afab5) , vfs.libarchive (2ba11021) , vfs.rar (e6b5114a) , vfs.sftp (3ab3969b)

#17

rbp2-mediacenter-next-osmc

might wanna add that its the next package to op or fix the package

#18

Thanks, I messed up the build (twice) so am re-running a new build.

1 Like
#19

Hello i have 18.8-23 on it and can not update ??

#20

There are some issues on the builds where you can’t update past 18.8-23. It will be fixed in the next nightly.

#21

Thanks

#22

Problem has been fixed so latest build should now install.

#23

Thanks

Pvr.zattoo is not present??

Pls fix https://github.com/rbuehlma/pvr.zattoo/releases

#24

I’ll add to the build for the next nightly, didn’t realize there was a matrix build for Zattoo already.
I was still pointing to the master branch but its been branched to Matrix so the addon failed to be included.